curl --request GET \
--url https://api.meum.io/v1/integration/woocommerce/status \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.meum.io/v1/integration/woocommerce/status"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.meum.io/v1/integration/woocommerce/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "CONNECTED",
"connection_status": "CONNECTED",
"health_status": "HEALTHY",
"issues": [
"<string>"
],
"integration_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"site_url": "<string>",
"plugin_version": "<string>",
"wordpress_version": "<string>",
"woocommerce_version": "<string>",
"credential_status": "<string>",
"credential_prefix": "<string>",
"webhook_health": "<string>",
"webhook_url": "<string>",
"last_seen_at": "2023-11-07T05:31:56Z",
"pending_connection_key": {
"key_prefix": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
},
"connected": true
}{
"error": "Payout wallet not configured",
"code": "EXTERNAL_ORDER_INTEGRATION_CONFLICT",
"details": {}
}Get WooCommerce integration status
Authorizations
Store-scoped API key. Prefix with sk_live_.
Example: Authorization: Bearer sk_live_EXAMPLE_DO_NOT_USE
Response
Integration status and health
Health and connection status for a WooCommerce integration.
Overall integration status.
"CONNECTED"
Whether the plugin has completed the connect flow.
"CONNECTED"
Operational health (for example HEALTHY, DEGRADED).
"HEALTHY"
Human-readable list of problems requiring merchant action.
Integration UUID when connected.
Connected WordPress site URL.
Meum plugin version reported by the site.
WordPress version reported by the site.
WooCommerce version reported by the site.
Whether API credentials are valid and active.
Prefix of the active API key for identification.
Recent webhook delivery health for the integration.
Configured WordPress webhook URL.
Last time the plugin checked in with Meum.
Temporary connect key when onboarding is in progress.
Show child attributes
Show child attributes
True when the site is fully connected and ready to accept payments.